﻿<%@ Page Title="Client-side event handling" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" StylesheetTheme="start" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        NavView allows you handle the client event of each NavItems write the javascript
        in <b>OnClientClient</b> of NavItem to handling the NavItem click event on client
        side.
    </div>
    <script type="text/javascript">
        //<![CDATA[
        // Opens a new browser window with the specified URL
        function openwindow(url) {
            var newWin = window.open(url, 'newWin');
        }
        // Changes the form color
        function changeFormColor(color) {
            document.getElementById('exampleDiv').style.backgroundColor = color;
        }
        //]]>
    </script>

    <DotNetAge:Accordion ID="Accordion1" Width="300px" runat="server" AutoPostBack="False"
        Style="float: left;" CssClass="ui-accordion ui-widget ui-helper-reset" AutoSizeMode="Limit"
        SelectedIndex="0">
        <Views>
            <DotNetAge:NavView runat="server" AutoPostBack="False" ShowHeader="True" Text="Show/Hide"
                ID="NavView0" ShowItemIcon="True" CssClass="dna-ui-navview">
                <DotNetAge:NavItem OnClientClick="$('#txtFN').toggle();" Text="First name field" />
                <DotNetAge:NavItem OnClientClick="$('#txtLN').toggle();" Text="Last name field" />
                <DotNetAge:NavItem OnClientClick="$('#txtDetails').toggle();" Text="Detail field" />
            </DotNetAge:NavView>
            <DotNetAge:NavView ID="NavView1" runat="server" AutoPostBack="False" ShowHeader="True"
                ShowItemIcon="True" Text="Form" CssClass="dna-ui-navview">
                <DotNetAge:NavItem OnClientClick="changeFormColor('darksalmon');" Text="Change to Light red" />
                <DotNetAge:NavItem OnClientClick="changeFormColor('skyblue');" Text="Change to Light Blue" />
                <DotNetAge:NavItem OnClientClick="changeFormColor('white');" Text="Change to Default" />
            </DotNetAge:NavView>
            <DotNetAge:NavView ID="NavView2" runat="server" AutoPostBack="False" ShowHeader="True"
                ShowItemIcon="True" Text="New Window" CssClass="dna-ui-navview">
                <DotNetAge:NavItem ImageUrl="" NavigateUrl="" OnClientClick="openwindow('http://www.asp.net');"
                    Target="" Text="www.asp.net" />
                <DotNetAge:NavItem ImageUrl="" NavigateUrl="" OnClientClick="openwindow('http://www.jquery.com');"
                    Target="" Text="www.jQuery.com" />
                <DotNetAge:NavItem OnClientClick="openwindow('http://www.microsoft.com');" Text="www.microsoft.com" />
                <DotNetAge:NavItem OnClientClick="openwindow('http://www.dotnetage.com');" Text="www.dotnetage.com" />
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
    <div class="ui-widget-content" style="float: left; position: absolute; left: 350px;">
        <div class="ui-state-active" style="height: 25px; padding: 3px;">
            Form
        </div>
        <div id="exampleDiv" class="ui-widget-content" style="padding: 10px;">
            First Name:
            <br>
            <input id="txtFN" type="text" size="30" style="visibility: visible;">
            <br>
            <br>
            Last Name:
            <br>
            <input id="txtLN" type="text" size="30" style="visibility: visible;">
            <br>
            <br>
            Details:
            <br>
            <textarea id="txtDetails" cols="30" rows="4" style="visibility: visible;"></textarea>
        </div>
    </div>
    <div style="clear: left;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Accordion/Codes/ClientSideEventHandling.aspx" />
</asp:Content>
