<%@ Page Title="Customize Icons" Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage"
    StylesheetTheme="start" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>

<script runat="server">

</script>

<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Customize the header icons with the <b>HeaderIconCssClass</b> <b>HeaderSelectedIconCssClass</b>
        properties, which accepts classes for the header's default and selected (open) state.
        Use any class from the UI CSS framework, or create custom classes with background
        images.
    </div>
    <DotNetAge:Accordion ID="Accordion1" Width="400px" runat="server" AutoPostBack="False"
        AutoHeight="false" HeaderIconCssClass="ui-icon-circle-arrow-e" HeaderSelectedIconCssClass="ui-icon-circle-arrow-s">
        <Views>
            <DotNetAge:View ID="View1" runat="server" ShowHeader="True" Text="About this sample">
                <p>
                    Customize the header icons with the <b>HeaderIconCssClass</b> <b>HeaderSelectedIconCssClass</b>
                    properties, which accepts classes for the header's default and selected (open) state.
                    Use any class from the UI CSS framework, or create custom classes with background
                    images.
                </p>
            </DotNetAge:View>
            <DotNetAge:View ID="View0" runat="server" ShowHeader="True" Text="Features of Accordion">
                <asp:Label ID="Label1" runat="server" Text="Accordion is a kind of MultiView Control base on jQuery ui.Accordion can contains View Control and NavView Control."></asp:Label>
                <ul>
                    <li>Accordion fully design time support for VS.NET and integate with jQuery Themes</li>
                    <li>Accordion base on jQuery.ui accordion widget.so it fully support jQuery accordion
                        client functions.</li>
                    <li>Accordion support ASP.NET Server events.</li>
                    <li>Accordion supports ASP.NET Server Styling &amp; Theming.</li>
                    <li>Using Accordion of DJ is easlier than write pure jQuery &amp; html for using jQuery.ui.</li>
                </ul>
            </DotNetAge:View>
            <DotNetAge:View ID="View2" runat="server" Text="Other Resources">
                <div>
                    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="http://dj.codeplex.com"
                        Target="_blank">Source code on codeplex</asp:HyperLink>
                </div>
                <div>
                    <asp:HyperLink ID="HyperLink2" runat="server" NavigateUrl="http://wiki.dotnetage.com"
                        Target="_blank">Documents of DJ</asp:HyperLink>
                </div>
                <div>
                    <asp:HyperLink ID="HyperLink3" runat="server" NavigateUrl="http://forums.dotnetage.com">Community of DJ</asp:HyperLink>
                </div>
                <div>
                    <asp:HyperLink ID="HyperLink4" runat="server" NavigateUrl="http://www.asp.net" Target="_blank">ASP.NET offcial site</asp:HyperLink>
                </div>
                <div>
                    <asp:HyperLink ID="HyperLink5" runat="server" NavigateUrl="http://www.jquery.com"
                        Target="_blank">jQuery offical site</asp:HyperLink>
                </div>
            </DotNetAge:View>
        </Views>
    </DotNetAge:Accordion>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Accordion/Codes/CustomizeIcons.aspx" />
</asp:Content>
