﻿<%@ Page Title="Using NavView in Accordion" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        NavView Control is a kind of View can nest of Accordion. It makes Accordion became
        a Navigator.Just like this:(View code below)
    </div>
    <br />
    <DotNetAge:Accordion ID="Accordion1" runat="server" AutoHeight="false" Width="300">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="SharePoint List" ShowItemIcon="true">
                <Items>
                    <DotNetAge:NavItem Text="Announcements" ImageUrl="~/Accordion/Images/list_announcements16.gif" />
                    <DotNetAge:NavItem Text="Contacts" OnClientClick="" ImageUrl="~/Accordion/Images/list_contacts16.gif" />
                    <DotNetAge:NavItem Text="Discussionboard" ImageUrl="~/Accordion/Images/list_discussionboard16.gif" />
                    <DotNetAge:NavItem ImageUrl="~/Accordion/Images/list_events16.gif" Text="Events" />
                    <DotNetAge:NavItem ImageUrl="~/Accordion/Images/list_links16.gif" Text="Links" />
                    <DotNetAge:NavItem ImageUrl="~/Accordion/Images/list_picture.gif" Text="Picutres" />
                    <DotNetAge:NavItem ImageUrl="~/Accordion/Images/list_survey16.gif" Text="Survey" />
                    <DotNetAge:NavItem ImageUrl="~/Accordion/Images/list_tasks16.gif" Text="Tasks" />
                </Items>
            </DotNetAge:NavView>
            <DotNetAge:NavView ID="NavView1" runat="server" Text="Contacts" ShowItemIcon="true">
                <Items>
                    <DotNetAge:NavItem Text="All Contacts" />
                    <DotNetAge:NavItem Text="Persional" />
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Accordion/Codes/NavViewSample.aspx" />
</asp:Content>
