﻿<%@ Page Title="Scrollable results" Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        When displaying a long list of options, you can simply set the max-height for the autocomplete menu to prevent the menu from growing too large. Try typing "a" or "s" above to get a long list of results that you can scroll through.
    </div>
    <style>
	.ui-autocomplete {
		max-height: 100px;
		overflow-y: auto;
	}
	/* IE 6 doesn't support max-height
	 * we use height instead, but this forces the menu to always be this tall
	 */
	* html .ui-autocomplete {
		height: 100px;
	}
	</style>
    <div class="ui-widget">
        <label>
            Tags:</label><asp:TextBox runat="server" Text="" ID="Text1"></asp:TextBox>
    </div>
    <DotNetAge:AutoComplete runat="server" ID="AutoCompelete1" Source="ActionScript,AppleScript,Asp,BASIC,C,C++,Clojure,COBOL,ColdFusion,">
        <Target TargetID="Text1" />
    </DotNetAge:AutoComplete>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/AutoComplete/Codes/ScrollableResultsSample.aspx" />
</asp:Content>
