﻿<%@ Page Title="DatePicker Core Features" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        DatePicker is a highly configurable WebControl encapsulated the jQuery UI datepicker
        plugin. You can customize the date format and language, restrict the selectable
        date ranges and add in buttons and other navigation options easily. It provides
        client-side date-picking functionality with customizable date format and UI in a
        popup control. You can interact with the calendar by clicking on a day to set the
        date, or the "Today" link to set the current date.
    </div>
    <span style="margin: 5px;">Date:<DotNetAge:DatePicker ID="SampleDatePicker" runat="server">
    </DotNetAge:DatePicker></span>
    <br />
    <br />
    <demo:Code runat="server" ID="codeView">
        <Code>&lt;DotNetAge:DatePicker ID=&quot;DatePicker1&quot; Value=&quot;2009/06/05&quot; runat=&quot;server&quot;&gt;&lt;/DotNetAge:DatePicker&gt;
        </Code>
    </demo:Code>
</asp:Content>
