﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TitleLayout.master" %>
<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="LeftContent" runat="Server">
    <div style="margin-bottom: 10px;">
        <asp:Image ID="Image3" runat="server" ImageUrl="~/DatePicker/Images/ui_text_datepicker.gif">
        </asp:Image></div>
    <DotNetAge:Accordion ID="Accordion1" runat="server" SkinID="Black-Ice" Animated="bounceslide">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="Feature Examples" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="Core Features" NavigateUrl="~/DatePicker/Core.aspx" />
                    <DotNetAge:NavItem Text="Format Date" NavigateUrl="~/DatePicker/FormatDate.aspx" />
                    <DotNetAge:NavItem Text="Restrict date range" NavigateUrl="~/DatePicker/RestrictDateRange.aspx" />
                    <DotNetAge:NavItem Text="Localize calendar" NavigateUrl="~/DatePicker/LocalizeCalendar.aspx" />
                    <DotNetAge:NavItem Text="Populate alternate field" NavigateUrl="~/DatePicker/PopulateAlternateField.aspx" />
                    <DotNetAge:NavItem Text="Display modes" NavigateUrl="~/DatePicker/DisplayModes.aspx" />
                    <DotNetAge:NavItem Text="Display button bar" NavigateUrl="~/DatePicker/DisplayButtonBar.aspx" />
                    <DotNetAge:NavItem Text="Display month & year menus" NavigateUrl="~/DatePicker/DisplayMonthYearMenus.aspx" />
                    <DotNetAge:NavItem Text="Display multiple months" NavigateUrl="~/DatePicker/DisplayMultipleMonths.aspx" />
                    <DotNetAge:NavItem Text="Icon trigger" NavigateUrl="~/DatePicker/IconTrigger.aspx" />
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MiddleContent" runat="Server">
    <iframe frameborder="0" style="height: 400px; width: 100%" name="demoFrame" scrolling="no"
        src="Core.aspx"></iframe>
    <DotNetAge:Tabs ID="Tabs1" runat="server" AsyncLoad="true" EnabledContentCache="true">
        <Animations>
            <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
            <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
        </Animations>
        <Views>
            <DotNetAge:View Text="Overview" runat="server" ID="overView">
                <p>
                    DatePicker is a highly configurable WebControl encapsulated the jQuery UI datepicker
                    plugin. You can customize the date format and language, restrict the selectable
                    date ranges and add in buttons and other navigation options easily. It provides
                    client-side date-picking functionality with customizable date format and UI in a
                    popup control. You can interact with the calendar by clicking on a day to set the
                    date, or the "Today" link to set the current date.</p>
                <p>
                    By default, the DatePicker calendar opens in a small overlay onFocus and closes
                    automatically onBlur or when a date if selected. For an inline Calendar, simply
                    attach the Datepicker to a div or span.
                </p>
                <p>
                    In addition, the left and right arrows can be used to move forward or back a month.
                    By clicking on the title of the calendar you can change the view from Days in the
                    current month, to Months in the current year. Another click will switch to Years
                    in the current Decade. This action allows you to easily jump to dates in the past
                    or the future from within the calendar control.
                </p>
            </DotNetAge:View>
            <DotNetAge:View Text="Properties" runat="server" ID="propertyView">
                <p>
                    The DatePicker control 's properties is show below</p>
                <div style="border: 1px dashed #808080;">
                    <demo:code runat="server" id="quickDemo">
                        <CodeTemplate>
<DotNetAge:DatePicker ID="MyDatePicker"
   AllowChangeMonth="true"
   AllowChangeYear="true"
   AnimationOnShow="show"
   AnotherFormatString="yyyy/MM/dd"
   AppendText=""
   AutoPostBack="false"
   ButtonImageUrl=""
   ButtonText="..."
   CloseButtonText="Done"
   ConstrainInput="true"
   DateFormatString="yyyy/MM/dd"
   DayNames="Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday"
   DefaultDateString=""
   DisplayMode="Picker"
   Duration="0"
   FirstDayOfWeek="0"
   HideIfNoPrevNext="false"
   IsRightToLeft="false"
   LocID="en-Us"
   MaxDateFormat=""
   MinDateFormat=""
   MonthNames="January,February,March,April,May,June,July,August,September,October,November,December"
   MonthShortNames="Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec"
   MoveToSelectedDate="true"
   NavigationAsDateFormat="false"
   NextMonthText="Next"
   NumberOfMonths="1"
   OnClientBeforeShow=""
   OnClientBeforeShowDay=""
   OnClientChangeMonthYear=""
   OnClientClose=""
   OnClientSelect=""
   PrevMonthText="Prev"
   ShortDayNames="Sun,Mon,Tue,Wed,Thu,Fri,Sat"
   ShortYearCutOff=""
   ShowButtonImageOnly="false"
   ShowButtonPanel="false"
   ShowCurrentAtPos="0"
   ShowDefaultButtonImage="false"
   ShowIconMode="Focus"
   ShowMonthAfterYear="false"
   ShowOptions=""
   ShowOtherMonths="false"
   StepMonths="1"
   TextForToday="ToDay"
   Value=""
   YearRange=""
>
  <AnotherField />
</DotNetAge:DatePicker>
                       </CodeTemplate>
                    </demo:code>
                </div>
            </DotNetAge:View>
            <DotNetAge:View ID="WhatIsNewView" runat="server" Text="What is new?" NavigateUrl="~/DatePicker/WhatIsNew.htm">
            </DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
</asp:Content>
