﻿<%@ Page Title="Display Month Year Menus" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>

<script runat="server">

</script>

<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Show month and year dropdowns in place of the static month/year header to facilitate
        navigation through large timeframes. Set the <b>AllowChangeYear</b> and <b>AllowChangeMonth</b>
        properties.
    </div>
    <br />
    <DotNetAge:DatePicker ID="SampleDatePicker" runat="server" AllowChangeYear="true"
        AllowChangeMonth="true" />
    <br /><br />
    <demo:Code ID="subCodes" runat="server">
    <Code>&lt;DotNetAge:DatePicker ID=&quot;SampleDatePicker&quot; runat=&quot;server&quot; AllowChangeYear=&quot;true&quot;
        AllowChangeMonth=&quot;true&quot; /&gt;</Code>
    </demo:Code>
</asp:Content>
