﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    public void TreeView1_SelectedNodeChanged(object sender, EventArgs e)
    {
        txtSelected.Text = TreeView1.SelectedNode.Text;
    }
    
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <DotNetAge:Dialog ID="DemoDialog" runat="server" Draggable="true" Resizable="false"
        Title="UpdatePanel in Dialog Sample" AutoOpen="true">
        <Buttons>
            <DotNetAge:DialogButton Text="OK" OnClientClick="$(this).dialog('close')" />
        </Buttons>
        <BodyTemplate>
            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                <ContentTemplate>
                    <div style="margin: 10px; overflow: auto; height: 200px;">
                        <asp:TreeView ID="TreeView1" runat="server" ExpandDepth="1" OnSelectedNodeChanged="TreeView1_SelectedNodeChanged"
                            DataSourceID="TreeNodeXmlSource" Font-Size="8pt" ForeColor="#666666">
                            <DataBindings>
                                <asp:TreeNodeBinding DataMember="TreeNode" ImageUrlField="ImageUrl" TextField="Text" />
                            </DataBindings>
                        </asp:TreeView>
                    </div>
                    <div style="border-top: solid 1px #f3f3f3">
                        <span style="float: left; font-size: 8pt;">Selected Item:</span><asp:TextBox ID="txtSelected"
                            runat="server" Width="200px" Font-Size="8"></asp:TextBox></div>
                </ContentTemplate>
            </asp:UpdatePanel>
        </BodyTemplate>
    </DotNetAge:Dialog>
    <asp:XmlDataSource ID="TreeNodeXmlSource" runat="server" DataFile="~/Dialog/treeData.xml"
        XPath="Nodes/TreeNode"></asp:XmlDataSource>
    <br />
    </form>
</body>
</html>
