﻿<%@ Page Title="Constrain movement" Language="C#" MasterPageFile="~/Demo.master"
    StylesheetTheme="start" Inherits="DemoPage" %>
    <%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Constrain the movement of each draggable by defining the boundaries of the draggable
        area. Set the DragOrientation to limit the draggable Controls path to the x- or y-axis, or
        use the Container & ContainsIn Properties to specify a parent ContainerControl or a jQuery Server side Selector.
        If using ContainsIn Server side selctor the Container Property must be set to "Customize"
    </div>
    <style type="text/css">
        .draggable { width: 90px; height: 90px; padding: 0.5em; float: left; margin: 0 10px 10px 0; }
        .containment-wrapper { width: 95%; height: 150px; border: 2px solid #ccc; padding: 10px; }
        .docs { clear: left; font-weight: normal; font-size: 12pt; margin: 0; padding: 0.5em 0 1em; }
    </style>
    <h3 class="docs">
        Constrain movement along an axis:</h3>
    <DotNetAge:CollapsablePanel ID="VerticalDroppablePanel" runat="server" Title="Drag me Vertical"
        Width="200px" Style="cursor: n-resize;">
        <ContentTempalte>
            <p style="margin: 10px;">
                I can be dragged only vertically</p>
        </ContentTempalte>
    </DotNetAge:CollapsablePanel>
    <DotNetAge:CollapsablePanel ID="HorizontalDroppablePanel" runat="server" Title="Drag me horizontally"
        Width="200px" Style="cursor: e-resize; position: relative; left: 221px; top: -75px;">
        <ContentTempalte>
            <p style="margin: 5px;">
                I can be dragged only horizontally</p>
        </ContentTempalte>
    </DotNetAge:CollapsablePanel>
    <h3 class="docs">
        Or to within another Container Control:</h3>
    <asp:Panel ID="WrapperPanel" runat="server" CssClass="containment-wrapper">
        <asp:Panel ID="InBoxDraggablePanel" runat="server" CssClass="draggable ui-widget-content">
            <p>
                I'm contained within the box</p>
        </asp:Panel>
        <asp:Panel ID="ParentDraggablePanel" runat="server" CssClass="draggable ui-widget-content">
            <p>
                I'm contained within the box's parent</p>
        </asp:Panel>
        <asp:Panel ID="SubContainerPanel" runat="server" class="draggable ui-widget-content">
            <asp:Panel ID="OnlyInMyParentDraggablePanel" runat="server" CssClass="ui-widget-header">
                <p>
                    I'm contained within my parent</p>
            </asp:Panel>
        </asp:Panel>
    </asp:Panel>
    <DotNetAge:Draggable ID="VerticalDraggable" runat="server" DragOrientation="Vertical">
        <Target TargetID="VerticalDroppablePanel" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="HorizontalDraggable" runat="server" DragOrientation="Horizontal">
        <Target TargetID="HorizontalDroppablePanel" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="InBoxDraggable" runat="server" Container="Customize">
        <Target TargetID="InBoxDraggablePanel" />
        <ContainsIn TargetID="WrapperPanel" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="DocumentDraggable" runat="server" Container="Document">
        <Target TargetID="ParentDraggablePanel" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="ParentDraggable" runat="server" Container="Parent">
        <Target TargetID="OnlyInMyParentDraggablePanel" />
    </DotNetAge:Draggable>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Draggable/Codes/Constrain.aspx" />
</asp:Content>
