﻿<%@ Page Title="Draggable + Sortable" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Draggable controls are built to interact seamlessly with Sortable controls.
    </div>
    <style type="text/css">
        .demo ul { list-style-type: none; margin: 0; padding: 0; margin-bottom: 10px; }
        .demo li { margin: 5px; padding: 5px; width: 150px; }
    </style>
   
    <DotNetAge:SimpleListView ID="SimpleListView2" runat="server" Items-Capacity="4"
        CssClass="ui-helper-reset demo" ItemCssClass="ui-helper-reset ui-state-highlight ui-corner-all droppable">
        <DotNetAge:SimpleListItem Text="Item1" />
    </DotNetAge:SimpleListView>
    
    <DotNetAge:SimpleListView ID="SimpleListView1" runat="server" Items-Capacity="4"
        CssClass="ui-helper-reset demo" ItemCssClass="ui-helper-reset ui-state-default ui-corner-all">
        <DotNetAge:SimpleListItem Text="Item1" />
        <DotNetAge:SimpleListItem Text="Item2" />
        <DotNetAge:SimpleListItem Text="Item3" />
    </DotNetAge:SimpleListView>
    <DotNetAge:Draggable ID="Draggable1" runat="server" DragHelper="Clone" Revert="Valid">
        <Target Selector=".droppable" />
        <ConnectToSortable TargetID="SimpleListView1>ul" />
    </DotNetAge:Draggable>
    <DotNetAge:Sortable ID="Sortable1" runat="server">
        <Target TargetID="SimpleListView1>ul" />
    </DotNetAge:Sortable>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Draggable/Codes/DraggableSortable.aspx" />
</asp:Content>
