﻿<%@ Page Title="Revert position" Language="C#" MasterPageFile="~/Demo.master" StylesheetTheme="start"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Return the draggable (or it's helper) to its original location when dragging stops
        with the boolean <b>Revert</b> property.
    </div>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content" Height="120px"
        Width="120px" Style="padding: 0.5em; float: left; margin: 0 10px 10px 0;">
        <p>
            Revert the original</p>
    </asp:Panel>
    <asp:Panel ID="Panel2" runat="server" CssClass="ui-widget-content" Height="120px"
        Width="120px" Style="padding: 0.5em; float: left; margin: 0 10px 10px 0;">
        <p>
            Revert the helper</p>
    </asp:Panel>
    <DotNetAge:Draggable ID="Draggable1" runat="server" Revert="Auto">
        <Target TargetID="Panel1" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="Draggable2" runat="server" DragHelper="Clone" Revert="Auto">
        <Target TargetID="Panel2" />
    </DotNetAge:Draggable>
    <div style="clear: left;">
    </div>
    <demo:Code runat="server" ID="codeView" SourceFile="~/Draggable/Codes/Revert.aspx" />
</asp:Content>
