<%@ Page Title="Accepted Controls & Elements" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Specify using the <b>Accept</b> jQuery server selector property which WebControl
        (or group of Controls) is accepted by the target droppable Control.
    </div>
    <style type="text/css">
        .droppable { width: 150px; height: 150px; padding: 0.5em; float: left; margin: 10px; }
        .draggable, .draggable-nonvalid { width: 100px; height: 100px; padding: 0.5em; float: left; margin: 10px 10px 10px 0; }
    </style>
    <asp:Panel ID="Panel3" runat="server" CssClass="ui-widget-content draggable-nonvalid">
        <p>
            I'm draggable but can't be dropped</p>
    </asp:Panel>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content draggable draggable">
        <p>
            Drag me to my target</p>
    </asp:Panel>
    <asp:Panel ID="Panel2" runat="server" CssClass="ui-widget-header droppable droppable">
        <p>
            accept: 'Pane1'</p>
    </asp:Panel>
    <DotNetAge:Draggable ID="Draggable1" runat="server">
        <Target TargetIDs="Panel1,Panel3" />
    </DotNetAge:Draggable>
    <DotNetAge:Droppable ID="Droppable1" runat="server" ActiveCssClass="ui-state-hover"
        HoverCssClass="ui-state-active" OnClientDrop="$(this).addClass('ui-state-highlight').find('p').html('Dropped!');">
        <Target TargetID="Panel2" />
        <Accept TargetID="Panel1" />
    </DotNetAge:Droppable>
    <div style="clear: left;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Droppable/Codes/Accepted.aspx" />
</asp:Content>
