﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <style type="text/css">
        .draggable, .draggable2 { width: 90px; height: 90px; padding: 0.5em; float: left; margin: 10px 10px 10px 0; }
        .droppable, .droppable2 { width: 120px; height: 120px; padding: 0.5em; float: left; margin: 10px; }
        .docs { clear: left; font-weight: normal; font-size: 12pt; margin: 0; padding: 0.5em 0 1em; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <h3 class="docs">
        Feedback on hover:</h3>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content draggable">
        <p>
            Drag me to my target</p>
    </asp:Panel>
    <asp:Panel ID="Panel2" runat="server" CssClass="ui-widget-header droppable">
        <p>
            Drop here</p>
    </asp:Panel>
    <DotNetAge:Draggable ID="Draggable1" runat="server">
        <Target TargetID="Panel1" />
    </DotNetAge:Draggable>
    <DotNetAge:Droppable ID="Droppable1" runat="server" HoverCssClass="ui-state-active"
        OnClientDrop="$(this).addClass('ui-state-highlight').find('p').html('Dropped!');">
        <Target TargetID="Panel2" />
    </DotNetAge:Droppable>
    <h3 class="docs">
        Feedback on activating draggable:</h3>
    <asp:Panel ID="Panel3" runat="server" CssClass="ui-widget-content draggable2">
        <p>
            Drag me to my target</p>
    </asp:Panel>
    <asp:Panel ID="Panel4" runat="server" CssClass="ui-widget-header droppable2">
        <p>
            Drop here</p>
    </asp:Panel>
    <DotNetAge:Draggable ID="Draggable2" runat="server">
        <Target TargetID="Panel3" />
    </DotNetAge:Draggable>
    <DotNetAge:Droppable ID="Droppable2" runat="server" ActiveCssClass="ui-state-active"
        OnClientDrop="$(this).addClass('ui-state-highlight').find('p').html('Dropped!');">
        <Accept TargetID="Panel3" />
        <Target TargetID="Panel4" />
    </DotNetAge:Droppable>
    </form>
</body>
</html>
