﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TitleLayout.master" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="LeftContent" runat="Server">
    <div style="margin-bottom: 10px;">
        <asp:Image ID="Image3" runat="server" ImageUrl="~/JQueryPlugin/Images/ui_text_plugin.gif">
        </asp:Image></div>
    <DotNetAge:Accordion ID="Accordion1" runat="server" SkinID="Black-Ice" Animated="bounceslide">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="JQueryPlugin Examples" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="LightBox plugin sample" NavigateUrl="~/JQueryPlugin/LightBox.aspx" />
                    <DotNetAge:NavItem Text="Lavalamp plugin sample" NavigateUrl="~/JQueryPlugin/Lavalamp.aspx" />
                    <DotNetAge:NavItem Text="Google map (jmap plugin)" NavigateUrl="GoogleMap.aspx" />
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MiddleContent" runat="Server">
    <iframe frameborder="0" style="height: 550px; width: 100%" name="demoFrame" scrolling="no"
        src="LightBox.aspx"></iframe>
    <DotNetAge:Tabs ID="Tabs1" runat="server" AsyncLoad="true" EnabledContentCache="true">
        <Animations>
            <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
            <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
        </Animations>
        <Views>
            <DotNetAge:View Text="Overview" runat="server" ID="overView">
                <p>
                    JQueryPlugin is a WebContorl that manages the jQuery script libraries and script
                    files.It gernates the script for jQuery plugins just like this : $(selector).name(options);</p>
                <p>
                    Target property is JQuery Sever Side Selector to apply the jQuery plugin to one
                    or more WebControls. Name property use to specify the jQuery plugin name. The Options
                    collection property hold all the option parameters of the jQuery plugin options
                    of needs. StartEvent property tell JQueryPlugin when jQuery scripts run at.(ApplicationLoad,ApplicationInit,DocumentDeady)</p>
                <p>
                    There are some suggestions of using jQuery plugin(s) in ASP.NET though JQueryPlugin
                    WebControl
                    <ul><li> If the jQuery plugin has a few options i suggest to use JQueryPlugin
                    WebControl this is the best choice for you. </li>
                    <li>When the jQuery plugins option has over
                    more then 10,and the plugin has it own HtmlElements or need some server side function
                    supports i suggest to using the DNA.UI framework to write a jQuery UI WebControl
                    for this jQuery plugin.</li>
                    <li> When the jQuery plugin options has over more than 10 and
                    it has none ui but it using frequently,i suggest to write the jQuery None UI WebControl
                    by using DNA.UI framework.</li></ul></p>
                    <p>Go QuickStart to learn more about the DNA UI Framework.</p>
            </DotNetAge:View>
            <DotNetAge:View Text="Properties" runat="server" ID="propertyView">
                <p>
                    The JQueryPlugin control 's properties is show below</p>
                <div style="border: 1px dashed #808080;">
                    <demo:Code runat="server" ID="quickDemo">
                        <CodeTemplate>
 <DotNetAge:JQueryPlugin
      ID="JQueryPlugin" 
      Name="name" 
      StartEvent="ApplicaitonInit">
     <Target TargetIDs="ControlID1, ... ,ControlIDn" 
                  Selector=".ui-widget-header" TargetID="ControlID" />
    <PlugInScripts>
        <asp:ScriptReference  />
             ...
    </PlugInScripts>
    <Options>
       <DotNetAge:JQueryOption Name="[optionName]"
              Type="String"
              Value="[optionValue]" />
              ...
    </Options>
</DotNetAge:JQueryPlugin>
                        </CodeTemplate>
                    </demo:Code>
                </div>
            </DotNetAge:View>
            <DotNetAge:View runat="server" ID="WhatIsNewView" Text="What is new?" NavigateUrl="~/JQueryPlugin/WhatIsNew.htm">
            </DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
</asp:Content>
