﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TitleLayout.master" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="LeftContent" runat="Server">
    <div style="margin-bottom: 10px;">
        <asp:Image ID="Image3" runat="server" ImageUrl="~/Progressbar/Images/ui_text_processbar.gif">
        </asp:Image></div>
    <DotNetAge:Accordion ID="Accordion1" runat="server" SkinID="Black-Ice" Animated="bounceslide">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="Feature Examples" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="Core Features" NavigateUrl="~/Progressbar/Core.aspx" />
                    <DotNetAge:NavItem Text="Resizable progressbar" NavigateUrl="~/Progressbar/Resizeable.aspx" />
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MiddleContent" runat="Server">
    <iframe frameborder="0" style="height: 500px; width: 100%" name="demoFrame" scrolling="no"
        src="Core.aspx"></iframe>
    <DotNetAge:Tabs ID="Tabs1" runat="server">
        <Animations>
            <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
            <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
        </Animations>
        <Views>
            <DotNetAge:View Text="Overview" runat="server" ID="overView">
                <p>
                    The progress bar is designed to simply display the current % complete for a process
                    and can be animated by updating the current values over time. The bar is coded to
                    be flexibly sized through CSS and will scale to fit inside it's parent container
                    by default. This is a determinate progress bar, meaning that it should only be used
                    in situations where the system can accurately update the current status complete.
                    A determinate progress bar should never fill from left to right, then loop back
                    to empty for a single process.
                </p>
            </DotNetAge:View>
            <DotNetAge:View Text="Properties" runat="server" ID="propertyView">
                <p>
                    The Progressbar control 's properties is show below</p>
                <div style="border: 1px dashed #808080;">
                    <demo:Code runat="server" ID="quickDemo">
                        <CodeTemplate>
<DotNetAge:Progressbar ID="MyProgressbar"
  Value="0"
  ShowPercentage="false"
  Resizable="false"
 >
 <PercentageLabelStyle />
</DotNetAge:Progressbar>                        
                        </CodeTemplate>
                    </demo:Code>
                </div>
            </DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
</asp:Content>
