﻿<%@ Page Title="Resizable Progressbar control" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        The Progressbar's widths are specified in percentages for flexible sizing so it
        will resize to fit its container. Try resizing the height and width of this bar
        to see how it maintains the correct proportions. To enabling this feature set the
        <b>Resizable</b> to "true".
    </div>
    <DotNetAge:Progressbar ID="progressBar1" runat="server" Value="20" Resizable="true"
        ShowPercentage="true">
    </DotNetAge:Progressbar>
    <demo:Code ID="subCodes" runat="server">
        <Code>&lt;DotNetAge:Progressbar ID=&quot;progressBar1&quot; runat=&quot;server&quot; Value=&quot;20&quot; Resizable=&quot;true&quot;
        ShowPercentage=&quot;true&quot; /&gt;</Code>
    </demo:Code>
</asp:Content>
