﻿<%@ Page Title="Animate" Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Animate the resize action using the <b>EnabledAnimation</b> property. When this
        property is set to true, drag the outline to the desired location; the contorl animates
        to that size on drag stop.And you can also set the <b>AnimateEasing</b> to difference
        easing effects(default is 'swing').
    </div>
    <br />
    <style type="text/css">
        .resizable { width: 150px; height: 150px; padding: 0.5em; }
        .resizable h3 { text-align: center; margin: 0; font-size: 10pt; height: 25px; }
    </style>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content resizable">
        <h3 class="ui-state-active">
            Resizable</h3>
    </asp:Panel>
    <DotNetAge:Resizable ID="Resizable1" runat="server" EnabledAnimation="true" >
        <Target TargetID="Panel1" />
    </DotNetAge:Resizable>
    <div style="clear: left; margin-top: 80px;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Resizable/Codes/Core.aspx" />
</asp:Content>
