﻿<%@ Page Title="Constrain resize area" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Define the boundaries of the resizable area. Use the <b>Container</b> and <b>ContainsIn</b>
        properties to specify a parent Control or a jQuery server side selector, like 'Document.'
    </div>
    <br />
    <style type="text/css">
        .container { width: 300px; height: 300px; }
        .container h3 { text-align: center; margin: 0; margin-bottom: 10px; font-size: 10pt; height: 25px;}
        .resizable { width: 150px; height: 150px; padding: 0.5em; }
        .resizable h3 { text-align: center; margin: 0; font-size: 10pt; height: 25px; }
    </style>
    <asp:Panel ID="Panel2" runat="server" CssClass="ui-widget-content container">
        <h3 class="ui-widget-header">
            Containment</h3>
        <asp:Panel ID="Panel1" runat="server" CssClass="ui-state-active resizable">
            <h3 class="ui-widget-header">
                Resizable</h3>
        </asp:Panel>
    </asp:Panel>
    <DotNetAge:Resizable ID="Resizable1" runat="server" Container="Customize">
        <Target TargetID="Panel1" />
        <ContainsIn TargetID="Panel2" />
    </DotNetAge:Resizable>
    <div style="clear: left; margin-top: 80px;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Resizable/Codes/ConstrainResizeArea.aspx" />
</asp:Content>
