﻿<%@ Page Title="Visual feedback" Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Instead of showing the actual element during resize, set the <b>ShowSemiTransparentHelper</b> to true
        to show a semi-transparent part of the element.
    </div>
    <br />
    <style type="text/css">
        .resizable { width: 150px; height: 150px; padding: 0.5em; }
        .resizable h3 { text-align: center; margin: 0; font-size: 10pt; height: 25px; }
        .ui-resizable-ghost { border: 1px dotted gray; }
    </style>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content resizable">
        <h3 class="ui-state-active">
            Semi Transparent</h3>
    </asp:Panel>
    <DotNetAge:Resizable ID="Resizable1" runat="server" ShowSemiTransparentHelper="true">
        <Target TargetID="Panel1" />
    </DotNetAge:Resizable>
    <div style="clear: left; margin-top: 80px;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Resizable/Codes/Ghost.aspx" />
</asp:Content>
