﻿<%@ Page Title="Preserve aspect ratio" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Maintain the existing aspect ratio or set a new one to constrain the proportions
        on resize. Set the <b>AspectRatio</b> pass in a new ratio.
    </div>
    <br />
    <style type="text/css">
        .resizable { width: 150px; height: 150px; padding: 0.5em; }
        .resizable h3 { text-align: center; margin: 0; font-size: 10pt; height: 25px; }
    </style>
    <asp:Panel ID="ResizablePanel" runat="server" CssClass="ui-widget-content resizable">
        <h3 class="ui-widget-header">
            Resizable</h3>
    </asp:Panel>
    <DotNetAge:Resizable ID="Resizable1" runat="server" AspectRatio="1.1">
        <Target TargetID="ResizablePanel" />
    </DotNetAge:Resizable>
    <div style="clear: left; margin-top: 80px;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Resizable/Codes/AspectRatio.aspx" />
</asp:Content>
