﻿<%@ Page Title="Synchronous size" Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Resize multiple Controls simultaneously by clicking and dragging the sides of one.
        Pass a shared selector into the <b>AlsoResize</b> property.
    </div>
    <br />
    <style type="text/css">
        .resizable, .also { width: 150px; height: 150px; padding: 0.5em; }
        .resizable h3, .also h3 { text-align: center; margin: 0; font-size: 10pt; height: 25px; }
        .also { margin-top: 1em; }
    </style>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-header resizable">
        <h3 class="ui-state-active">
            Resizable</h3>
    </asp:Panel>
    <DotNetAge:Resizable ID="Resizable1" runat="server">
        <Target TargetID="Panel1" />
        <AlsoResize TargetID="Panel2" />
    </DotNetAge:Resizable>
    <asp:Panel ID="Panel2" runat="server" CssClass="ui-widget-content also">
        <h3 class="ui-widget-header">
            I will also resize</h3>
    </asp:Panel>
    <DotNetAge:Resizable ID="Resizable2" runat="server">
        <Target TargetID="Panel2" />
    </DotNetAge:Resizable>
    <div style="clear: left; margin-top: 5px;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Resizable/Codes/SynchronousSize.aspx" />
</asp:Content>
