﻿<%@ Page Title="Programmatic creation" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        DNA.UI.JQuery.Selectable resiable = DNA.UI.JQuery.Selectable.ApplyTo(ResiablePanel);
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Resizable can apply to more than one WebControls and Html Elements dynaimic on server
        side of using <b>ApplyTo</b> Method. This is a simple way to apply Resizable to
        a control or controls.
    </div>
    <div class="dna-code">
        <demo:Code runat="server" ID="codeView" Language="c#" ShowLines="true">
            <CodeTemplate>protected void Page_Load(object sender, EventArgs e)
{
    DNA.UI.JQuery.Resizable resiable = DNA.UI.JQuery.Resizable.ApplyTo(ResiablePanel);
   resiable.EnabledAnimation = true;
}</CodeTemplate>
        </demo:Code>
    </div>
    <style type="text/css">
        .resizable { width: 150px; height: 150px; padding: 0.5em; }
        .resizable h3 { text-align: center; margin: 0; font-size: 10pt; height: 25px; }
    </style>
    <asp:Panel ID="ResiablePanel" runat="server" CssClass="ui-widget-content resizable">
        <h3 class="ui-state-active">
            Dynamic Resizable</h3>
    </asp:Panel>
    <br />
</asp:Content>
