﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TitleLayout.master" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="LeftContent" runat="Server">
    <div style="margin-bottom: 10px;">
        <asp:Image ID="Image3" runat="server" ImageUrl="~/Slider/Images/ui_text_slider.gif">
        </asp:Image></div>
    <DotNetAge:Accordion ID="Accordion1" runat="server" SkinID="Black-Ice" Animated="bounceslide">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="Feature Examples" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="Core Features" NavigateUrl="~/Slider/Core.aspx" />
                    <DotNetAge:NavItem Text="Snap to increments" NavigateUrl="~/Slider/SnapToIncremets.aspx" />
                    <DotNetAge:NavItem Text="Range slider" NavigateUrl="~/Slider/Range.aspx" />
                    <DotNetAge:NavItem Text="Range with fixed minimum" NavigateUrl="~/Slider/RangeWithFixedMinimum.aspx" />
                    <DotNetAge:NavItem Text="Range with fixed maximum" NavigateUrl="~/Slider/RangeWithFixedMaximum.aspx" />
                    <DotNetAge:NavItem Text="Vertical slider" NavigateUrl="~/Slider/VerticalSlider.aspx" />
                    <DotNetAge:NavItem Text="Vertical range slider" NavigateUrl="~/Slider/VerticalRange.aspx" />
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MiddleContent" runat="Server">
    <iframe frameborder="0" style="height: 500px; width: 100%" name="demoFrame" scrolling="no"
        src="Core.aspx"></iframe>
    <DotNetAge:Tabs ID="Tabs1" runat="server" AsyncLoad="true" EnabledContentCache="true">
        <Animations>
            <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
            <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
        </Animations>
        <Views>
            <DotNetAge:View Text="Overview" runat="server" ID="overView">
                <p>
                    The Slider is a web control encapsulated the jQuery UI slider plugin.There are various
                    properties such as multiple handles, and ranges. The handle can be moved with the
                    mouse or the arrow keys.
                </p>
                <p>
                    When a value is chosen using the Slider, it is automatically persisted during full
                    or partial postbacks. The developer can continue to reference the asp:TextBox to
                    get and set the Slider's value.
                </p>
            </DotNetAge:View>
            <DotNetAge:View Text="Properties" runat="server" ID="propertyView">
                <p>
                    The Slider control 's properties is show below</p>
                <div style="border: 1px dashed #808080;">
                    <demo:Code runat="server" ID="quickDemo">
                        <CodeTemplate>
<DotNetAge:Slider ID="MySlider" 
   AutoPostBack="false"
   BoundControlID="Textbox1"
   BoundControlID1="Textbox2"
   Maximum="100"
   Minimum="0"
   OnClientSliding=""
   OnClientStartSliding=""
   OnClientStopSliding=""
   OnClientValueChanged=""
   Orientation="Horizontal"
   Range="Both"
   Step="1"
   Value="0"
   Value1="-1"
   Width="300"
/></CodeTemplate>
                    </demo:Code>
                </div>
            </DotNetAge:View>
            <DotNetAge:View runat="server" ID="WhatIsNewView" Text="What is new?" NavigateUrl="~/Slider/WhatIsNew.htm">
            </DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
</asp:Content>
