﻿<%@ Page Title="Display as grid" Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage"
    StylesheetTheme="start" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>

<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        To arrange sortable items as a grid, give them identical dimensions and float them
        using CSS.
    </div>
    <br />
    <style type="text/css">
        .sortable { list-style-type: none; margin: 0; padding: 0; width: 60%; }
        .sortable ul { list-style-type: none; margin: 0; padding: 0; }
        .sortable ul li { margin: 3px 3px 3px 0; padding: 1px; float: left; width: 80px; height: 80px; font-size: 4em; text-align: center; }
    </style>
    <DotNetAge:SimpleListView ID="SimpleListView1" runat="server" Items-Capacity="4"
        CssClass="ui-helper-reset sortable" ItemCssClass="ui-helper-reset ui-state-default ui-corner-all">
        <DotNetAge:SimpleListItem Text="1" />
        <DotNetAge:SimpleListItem Text="2" />
        <DotNetAge:SimpleListItem Text="3" />
        <DotNetAge:SimpleListItem Text="4" />
        <DotNetAge:SimpleListItem Text="5" />
        <DotNetAge:SimpleListItem Text="6" />
        <DotNetAge:SimpleListItem Text="7" />
        <DotNetAge:SimpleListItem Text="8" />
        <DotNetAge:SimpleListItem Text="9" />
        <DotNetAge:SimpleListItem Text="10" />
        <DotNetAge:SimpleListItem Text="11" />
        <DotNetAge:SimpleListItem Text="12" />
    </DotNetAge:SimpleListView>
    <DotNetAge:Sortable ID="Sortable1" runat="server">
        <Target TargetID="SimpleListView1>ul" />
    </DotNetAge:Sortable>
            <div style="clear: left;margin-top:5px;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Sortable/Codes/DisplayAsGrid.aspx" />
</asp:Content>
