﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TitleLayout.master" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<script runat="server">

</script>

<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="LeftContent" runat="Server">
    <div style="margin-bottom: 10px;">
        <asp:Image ID="Image3" runat="server" ImageUrl="~/Accordion/Images/ui_text_accordion.gif">
        </asp:Image></div>
    <DotNetAge:Accordion ID="Accordion1" runat="server" Animated="bounceslide">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="Funcationality Samples" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="Core Features" NavigateUrl="~/Accordion/Core.aspx" />
                    <DotNetAge:NavItem Text="AutoSizeMode" NavigateUrl="~/Accordion/Fillspace.aspx" />
                    <DotNetAge:NavItem Text="Collapsible sections" NavigateUrl="~/Accordion/Collapsible.aspx" />
                    <DotNetAge:NavItem Text="Open on mouseover" NavigateUrl="~/Accordion/OpenOnMouseOver.aspx" />
                    <DotNetAge:NavItem Text="Customize icons" NavigateUrl="~/Accordion/CustomizeIcons.aspx" />
                    <DotNetAge:NavItem Text="Using Accordin in UpdatePanel" NavigateUrl="~/Accordion/NestedInUpdatePanel.aspx" />
                </Items>
            </DotNetAge:NavView>
            <DotNetAge:NavView ID="NavView2" runat="server" Text="Using NavView" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="NavView features" NavigateUrl="~/Accordion/NavView.aspx" />
                    <DotNetAge:NavItem Text="Client-side Event Handling" NavigateUrl="~/Accordion/ClientSideEvents.aspx" />
                    <DotNetAge:NavItem Text="PostBack & Server Events" NavigateUrl="~/Accordion/PostBackAndServerEvents.aspx" />
                    <DotNetAge:NavItem Text="Programmatic NavView Creation" NavigateUrl="~/Accordion/ProgrammaticCreation.aspx" />
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MiddleContent" runat="Server">
    <iframe frameborder="0" name="demoFrame" scrolling="no" src="Core.aspx" style="height: 500px;
        width: 100%;"></iframe>
    <DotNetAge:Tabs ID="Tabs1" runat="server" AsyncLoad="true" EnabledContentCache="true">
        <Animations>
            <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
            <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
        </Animations>
        <Views>
            <DotNetAge:View Text="Overview" runat="server" ID="overView">
            <p>The Accordion is a web control encapsulat the jQuery UI drappable plugin that allows you to provide multiple views and display them one at a time. It is like having several CollapsiblePanels where only one can be expanded at a time. The Accordion is implemented as a web control that contains View web controls. Each View control has a template for its Content.</p>
            </DotNetAge:View>
            <DotNetAge:View Text="Properties" runat="server" ID="propertyView">
                <p>
                    The Accordion control 's properties is show below</p>
                <div style="border: 1px dashed #808080;">
                    <demo:code runat="server" id="quickDemo">
                        <CodeTemplate>
<DotNetAge:Accordion ID="MyAccordion"
          AllowCollapseAllSections="false"
          AutoPostBack="false"
          AutoSizeMode="None"
          CollapseAnimation="BounceSlide"
          ContentCssClass="ui-widget-content"
          ContentStyle=""
          HeaderCssClass=""
          HeaderIconCssClass=""
          HeaderSelectedIconCssClass=""
          HeaderStyle=""
          IsClearStyle="false"
          OnClientViewChange=""
          SelectedIndex="0"
          OpenSectionEvent="Click"
>
   <Views>
      <DotNetAge:View Text=""
            ID="View1"
            NavigateUrl=""
            HeaderCssClass=""
            HeaderStyle=""
            Target="_blank">
            <p>View is content is here</p>
      </DotNetAge:View>
      ...
      <DotNetAge:View />
   </Views>
</DotNetAge:Accordion>
                         </CodeTemplate>
                    </demo:code>
                </div>
            </DotNetAge:View>
            <DotNetAge:View ID="WhatIsNewView" Text="What is new?" NavigateUrl="~/Accordion/WhatIsNew.htm"></DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
</asp:Content>
