﻿using System;
using System.Web.UI;
using DNA.UI;
using DNA.UI.JQuery;

[JQuery(Assembly="jQuery",Name="lightbox",ScriptResources=new string[]{"plugin.lightbox.js"})]
public class LightBox:Control
{
    [JQueryOption(Name = "fixedNavigation")]
    public bool FixedNavigation { get; set; }

    protected override void OnPreRender(EventArgs e)
    {
        DNA.UI.ClientScriptManager.RegisterJQueryControl(this);
        base.OnPreRender(e);
    }
}
