﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TitleLayout.master" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="LeftContent" runat="Server">
<div style="margin-bottom: 10px;">
        <asp:Image ID="Image3" runat="server" ImageUrl="~/AutoComplete/Images/ui_text_autocomplete.jpg">
        </asp:Image></div>
    <DotNetAge:Accordion ID="Accordion1" runat="server" Animated="bounceslide">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="Funcationality Samples" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="Default Features" NavigateUrl="~/AutoComplete/Core.aspx" />
                    <DotNetAge:NavItem Text="Remote data source" NavigateUrl="~/AutoComplete/RemoteData.aspx" />
                    <DotNetAge:NavItem Text="Remote with caching" NavigateUrl="~/AutoComplete/RemoteDataCaching.aspx" />
                    <DotNetAge:NavItem Text="Scrollable results" NavigateUrl="~/AutoComplete/ScrollableResults.aspx" />
                    <DotNetAge:NavItem Text="Multiple values" NavigateUrl="~/AutoComplete/MultipleValues.aspx" />
                    <DotNetAge:NavItem Text="Multiple , Remote" NavigateUrl="~/AutoComplete/RemoteMultipleValues.aspx" />
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MiddleContent" runat="Server">
    <iframe frameborder="0" name="demoFrame" scrolling="no" src="Core.aspx" style="height: 500px;
        width: 100%;"></iframe>
    <DotNetAge:Tabs ID="Tabs1" runat="server" AsyncLoad="true" EnabledContentCache="true">
        <Animations>
            <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
            <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
        </Animations>
        <Views>
            <DotNetAge:View Text="Overview" runat="server" ID="overView">
                <p>
                    AutoComplete is an ASP.NET WebControl that encapsulated the jQuery UI autocomplete
                    plugin that can be attached to any TextBox control, and will associate that control
                    with a popup panel to display words that begin with the prefix typed into the textbox.</p>
            </DotNetAge:View>
            <DotNetAge:View Text="Properties" runat="server" ID="propertyView">
                <p>
                    The AutoComplete control 's properties is show below</p>
                <div style="border: 1px dashed #808080;">
                    <demo:code runat="server" id="quickDemo">
                        <CodeTemplate>
<DotNetAge:AutoComplete 
    ID="MyAutoCompelete" 
    Source="Abc,AAA,AAB,EFG,"
    ServiceMethod="GetData"
    ServicePath="~/AutoComplete/WebService.asmx" 
    EnabledCache="true"
    IsMultipleValueSupports="true"
    Delay="1"
    MinLength="2"
    CompletionSetCount="20"
    OnClientItemSelect=""
    OnClientItemSearch=""
    OnClientOpen=""
    OnClientClose=""
    OnClientChange=""
    OnClientInputFocus=""
>
  <Target TargetIDs="ControlID1, ... ,ControlIDn" 
               Selector=".ui-widget-header" 
               TargetID="ControlID" />
</DotNetAge:AutoComplete>

                        </CodeTemplate>
                        </demo:code>
                </div>
            </DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
</asp:Content>
