﻿<%@ Page Title="Multiple values" Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Usage: Type something, eg. "j" to see suggestions for tagging with programming languages.
        Select a value, then continue typing to add more. This is an example showing how
        to use the <b>IsMultipleValueSupports</b> property to enable autocompleting multiple
        values into a single field.
    </div>
    <div class="ui-widget">
        <label>
            Tags:</label><asp:TextBox runat="server" Text="" ID="Text1"></asp:TextBox>
    </div>
    <DotNetAge:AutoComplete runat="server" ID="AutoCompelete1" IsMultipleValueSupports="true"
        Source="ActionScript,AppleScript,Asp,BASIC,C,C++,Clojure,COBOL,ColdFusion,Haskell,Groovy,Erlang,Fortran,Java,JavaScript,Scala,Schema">
        <Target TargetID="Text1" />
    </DotNetAge:AutoComplete>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/AutoComplete/Codes/MultipleValuesSample.aspx" />
</asp:Content>
