﻿<%@ Page Title="Restrict Date Range" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>

<script runat="server">

</script>

<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Restrict the range of selectable dates with the <b>MaxDateFormat</b> and <b>MinDateFormat</b>
        properties. Set the beginning and end dates as actual dates (new Date(2009, 1 -
        1, 26)), as a numeric offset from today (-20), or as a string of periods and units
        ('+1M +10D'). For the last, use 'D' for days, 'W' for weeks, 'M' for months, or
        'Y' for years.
    </div>
    <br />
    <DotNetAge:DatePicker ID="SampleDatePicker" runat="server" MaxDateFormat="+1M +10D"
        MinDateFormat="-20">
    </DotNetAge:DatePicker>
    <br />
    <br />
    <br />
    <demo:Code ID="subCodes" runat="server">
        <Code>&lt;DotNetAge:DatePicker ID=&quot;SampleDatePicker&quot; runat=&quot;server&quot; MaxDateFormat=&quot;+1M +10D&quot; MinDateFormat=&quot;-20&quot;&gt;
    &lt;/DotNetAge:DatePicker&gt;</Code>
    </demo:Code>
</asp:Content>
