﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TitleLayout.master" %>
<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="LeftContent" runat="Server">
    <div style="margin-bottom: 10px;">
        <asp:Image ID="Image3" runat="server" ImageUrl="~/Dialog/Images/ui_text_dialog.gif">
        </asp:Image></div>
    <DotNetAge:Accordion ID="Accordion1" runat="server" SkinID="Black-Ice" Animated="bounceslide">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="Feature Examples" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="Core Features" NavigateUrl="~/Dialog/Core.aspx" />
                    <DotNetAge:NavItem Text="Server Dialog" NavigateUrl="~/Dialog/ServerDialog.aspx" />
                    <DotNetAge:NavItem Text="Using UpdatePanel show Server Dialog" NavigateUrl="~/Dialog/UpdatePanelServerDialog.aspx" />
                    <DotNetAge:NavItem Text="Show simple message" NavigateUrl="~/Dialog/SimpleMessage.aspx" />
                    <DotNetAge:NavItem Text="Effects of Dialog" NavigateUrl="~/Dialog/Effects.aspx" />
                    <DotNetAge:NavItem Text="Using UpdatePanel in Dialog" NavigateUrl="~/Dialog/NestedUpdatePanel.aspx" />
                    <DotNetAge:NavItem Text="Show Case:User Login Form (PostBack)" NavigateUrl="~/Dialog/UserLogin.aspx" />
                    <DotNetAge:NavItem Text="Show Case:User Login Form (AJAX)" NavigateUrl="~/Dialog/UserLoginAjax.aspx" />
                    <DotNetAge:NavItem Text="Show Case:External Contents" NavigateUrl="~/Dialog/ExternalContent.aspx" />
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MiddleContent" runat="Server">
    <iframe frameborder="0" style="height: 550px; width: 100%" name="demoFrame" scrolling="no"
        src="Core.aspx"></iframe>
    <DotNetAge:Tabs ID="Tabs1" runat="server" AsyncLoad="true" EnabledContentCache="true">
        <Animations>
            <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
            <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
        </Animations>
        <Views>
            <DotNetAge:View Text="Overview" runat="server" ID="overView">
                <p>
                    The Dialog is a web control encapsulated the jQuery UI dialog plugin. A Dialog is
                    a floating window that contains a title bar and a content area. The dialog window
                    can be moved, resized and closed with the 'x' icon by default. If the content length
                    exceeds the maximum height, a scrollbar will automatically appear. A bottom button
                    bar and semi-transparent modal overlay layer are common options that can be added.
                </p>
            </DotNetAge:View>
            <DotNetAge:View Text="Properties" runat="server" ID="propertyView">
                <p>
                    The Dialog control 's properties is show below</p>
                <div style="border: 1px dashed #808080;">
                    <demo:code runat="server" id="quickDemo">
                        <CodeTemplate>
<DotNetAge:Dialog ID="MyDialog"
   AutoOpen="false"
   BgiFrame="true"
   CloseOnEscape="true"
   DialogButtons="None"
   HideEffect="None"
   IconUrl=""
   IsDraggable="false"
   IsResizable="false"
   IsStack="true"
   MaxHeight="0"
   MaxWidth="0"
   MessageText=""
   MinHeight="0"
   MinWidth="0"
   OnClientBeforeClose=""
   OnClientClose=""
   OnClientDrag=""
   OnClientDragStart=""
   OnClientDragStop=""
   OnClientFocus=""
   OnClientOpen=""
   OnClientResize=""
   OnClientResizeStart=""
   OnClientResizeStop=""
   Position="Center"
   ShowEffect="None"
   ShowModal="false"
   Title=""
   ZIndex="1000"
>
  <BodyTemplate>
     Dialog body here
  </BodyTemplate>
  <Buttons>
     <DotNetAge:DialogButton 
         CommandArgument=""
         CommandName=""
         OnClientClick=""
         Text="" />
         ...
  </Buttons>
   <Target TargetIDs="ControlID1, ... ,ControlIDn" 
               Selector=".ui-widget-header" 
               TargetID="ControlID" />
</DotNetAge:Dialog>
                        </CodeTemplate>
                    </demo:code>
                </div>
            </DotNetAge:View>
            <DotNetAge:View ID="WhatIsNewView" Text="What is new?" NavigateUrl="~/Dialog/WhatIsNew.htm">
            </DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
</asp:Content>
