﻿<%@ Page Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage" Title="Show server modal dialog" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>

<script runat="server">
    public void Server_OpenDialog(object sender, EventArgs e)
    {
        Dialog.ShowModalDialog(Page, "Download complete", "Your files have downloaded successfully into the My Downloads folder. ", DialogIcons.Info);
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all">
        Dialog Control provides a very simple method to show Modal Dialog. Using <b>ShowModalDialog</b>
        Method to enabling this feature.
    </div>
    <br />
    <DotNetAge:SimpleButton ID="SimpleButton1" runat="server" Text="Open Dialog" OnClick="Server_OpenDialog" />
    <br />
    <br />
    <demo:Code runat="server" ID="codeView" Language="c#">
        <Code>public void Server_OpenDialog(object sender, EventArgs e)
{
    Dialog.ShowModalDialog(Page, "Download complete", 
    "Your files have downloaded successfully into the My Downloads folder. ", 
    DialogIcons.Info);
}
       </Code>
    </demo:Code>
</asp:Content>
