<%@ Page Title="Auto scroll features" Language="C#" MasterPageFile="~/Demo.master"
    StylesheetTheme="start" Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Automatically scroll the document when the draggable Control is moved beyond the
        viewport. Set the <b>AutoScroll</b> to true to enable auto-scrolling, and fine-tune
        when scrolling is triggered and its speed with the <b>ScrollSensitivity </b>and
        <b>ScrollSpeed </b>properties.
    </div>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content" Style="width: 100px;
        height: 100px; padding: 0.5em; float: left; margin: 0 10px 10px 0;">
        <p>
            AutoScroll set to true, default settings</p>
    </asp:Panel>
    <asp:Panel ID="Panel2" runat="server" CssClass="ui-widget-content" Style="width: 100px;
        height: 100px; padding: 0.5em; float: left; margin: 0 10px 10px 0;">
        <p>
            ScrollSensitivity set to 100</p>
    </asp:Panel>
    <asp:Panel ID="Panel4" runat="server" CssClass="ui-widget-content" Style="width: 100px;
        height: 100px; padding: 0.5em; float: left; margin: 0 10px 10px 0;">
        <p>
            ScrollSpeed set to 100</p>
    </asp:Panel>
    <DotNetAge:Draggable ID="Draggable1" runat="server" AutoScroll="true">
        <Target TargetID="Panel1" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="Draggable2" runat="server" AutoScroll="true" ScrollSensitivity="100">
        <Target TargetID="Panel2" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="Draggable3" runat="server" AutoScroll="true" ScrollSpeed="100">
        <Target TargetID="Panel4" />
    </DotNetAge:Draggable>
    <div style="clear: left;">
    </div>
    <demo:Code runat="server" ID="codeView" SourceFile="~/Draggable/Codes/AutoScroll.aspx" />
</asp:Content>
