﻿<%@ Page Title="Delay start" Language="C#" MasterPageFile="~/Demo.master" StylesheetTheme="start"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Delay the start of dragging for a number of milliseconds with the <b>DragStartDelay</b>
        property; prevent dragging until the cursor is held down and dragged a specifed
        number of pixels with the <b>DragStartDistance </b>property.
    </div>
    <DotNetAge:CollapsablePanel ID="DistancePanel" runat="server" Width="200" Title="DragStart with Distance"
        Style="padding: 0.5em; float: left; margin: 0 10px 10px 0;">
        <ContentTempalte>
            <p style="margin: 5px;">
                Only if you drag me by 20 pixels, the dragging will start</p>
        </ContentTempalte>
    </DotNetAge:CollapsablePanel>
    <DotNetAge:CollapsablePanel ID="DragDelayPanel" runat="server" Title="Drag Delay"
        Style="padding: 0.5em; float: left; margin: 0 10px 10px 0;" Width="200">
        <p style="margin: 5px;">
            Regardless of the distance, you have to drag and wait for 1000ms before dragging
            starts</p>
    </DotNetAge:CollapsablePanel>
    <DotNetAge:Draggable ID="DistanceDraggable" runat="server" DragStartDistance="20">
        <Target TargetID="DistancePanel" />
    </DotNetAge:Draggable>
    <DotNetAge:Draggable ID="Draggable2" runat="server" DragStartDelay="1000">
        <Target TargetID="DragDelayPanel" />
    </DotNetAge:Draggable>
   <div style="clear:left;"></div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Draggable/Codes/DragDelay.aspx" />
</asp:Content>
