<%@ Page Title="Accepted Controls & Elements" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>
<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        When working with nested droppables  for example, you may have an editable directory
        structure displayed as a tree, with folder and document nodes  the Greedy property
        set to true prevents event propagation when a draggable is dropped on a child node
        (droppable).
    </div>
    <br />
    <style type="text/css">
        .draggable { width: 100px; height: 40px; padding: 0.5em; float: left; margin: 10px 10px 10px 0; }
        .droppable, .droppable2 { width: 230px; height: 120px; padding: 0.5em; float: left; margin: 10px; }
        .droppable-inner, .droppable2-inner { width: 170px; height: 60px; padding: 0.5em; float: left; margin: 10px; }
    </style>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content draggable">
        <p>
            Drag me to my target</p>
    </asp:Panel>
    <asp:Panel ID="OuterPanel" runat="server" CssClass="ui-widget-header droppable">
        <p>
            Outer droppable</p>
        <asp:Panel ID="InnerPanel" runat="server" CssClass="ui-widget-header droppable-inner">
            <p>
                Inner droppable (not greedy)</p>
        </asp:Panel>
    </asp:Panel>
    <asp:Panel ID="OuterPanel1" runat="server" CssClass="ui-widget-header droppable2">
        <p>
            Outer droppable</p>
        <asp:Panel ID="InnerPanel1" runat="server" CssClass="ui-widget-header droppable2-inner">
            <p>
                Inner droppable (greedy)</p>
        </asp:Panel>
    </asp:Panel>
    <DotNetAge:Draggable ID="Draggable2" runat="server">
        <Target TargetID="Panel1" />
    </DotNetAge:Draggable>
    <DotNetAge:Droppable ID="DroppableOI" runat="server" ActiveCssClass="ui-state-hover"
        HoverCssClass="ui-state-active" OnClientDrop="$(this).addClass('ui-state-highlight').find('> p').html('Dropped!');return false;">
        <Target TargetIDs="OuterPanel,InnerPanel" />
    </DotNetAge:Droppable>
    <DotNetAge:Droppable ID="Droppable1" runat="server" ActiveCssClass="ui-state-hover"
        Greedy="true" HoverCssClass="ui-state-active" OnClientDrop="$(this).addClass('ui-state-highlight').find('> p').html('Dropped!');">
        <Target TargetIDs="OuterPanel1,InnerPanel1" />
    </DotNetAge:Droppable>    
    <div style="clear:left;"></div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Droppable/Codes/PreventPropagation.aspx" />
</asp:Content>
