﻿<%@ Page Title="Core features" Language="C#" MasterPageFile="~/Demo.master" Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Delay the start of resizng for a number of milliseconds with the <b>ResizeStartDelay</b>
        properties; prevent resizing until the cursor is held down and dragged a specifed
        number of pixels with the <b>ResizeStartDistance</b> property.
    </div>
    <br />
    <style type="text/css">
        .resizable { width: 150px; height: 150px; padding: 0.5em; }
        .resizable h3 { text-align: center; margin: 0; font-size: 10pt; height: 25px; }
        .docs { clear: left; font-weight: 10pt; font-size: 12pt; margin: 0; padding: 0.5em 0 1em; }
    </style>
    <h3 class="docs">
        Time delay (ms):</h3>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content resizable">
        <h3 class="ui-state-active">
            Time</h3>
    </asp:Panel>
    <DotNetAge:Resizable ID="Resizable1" runat="server" ResizeStartDelay="1000">
        <Target TargetID="Panel1" />
    </DotNetAge:Resizable>
    <h3 class="docs">
        Distance delay (px):</h3>
    <asp:Panel ID="Panel2" runat="server" CssClass="ui-widget-content resizable">
        <h3 class="ui-state-active">
            Distance</h3>
    </asp:Panel>
    <DotNetAge:Resizable ID="Resizable2" runat="server" ResizeStartDistance="40">
        <Target TargetID="Panel2" />
    </DotNetAge:Resizable>
    <div style="clear: left; margin-top: 5px;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Resizable/Codes/DelayStart.aspx" />
</asp:Content>
