﻿<%@ Page Title="Maximum/minimum sizes" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Limit the resizable element to a maximum or minimum height or width using the <b>MaxHeight</b>,
        <b>MaxWidth</b>, <b>MinHeight</b>, and <b>MinWidth</b> properties.
    </div>
    <br />
    <style type="text/css">
        .resizable { width: 150px; height: 150px; padding: 0.5em; }
        .resizable h3 { text-align: center; margin: 0; font-size: 10pt; height: 25px; }
    </style>
    <asp:Panel ID="Panel1" runat="server" CssClass="ui-widget-content resizable">
        <h3 class="ui-state-active">
            Resizable</h3>
    </asp:Panel>
    <DotNetAge:Resizable ID="Resizable1" runat="server" MaxHeight="250" MaxWidth="350"
        MinHeight="150" MinWidth="200">
        <Target TargetID="Panel1" />
    </DotNetAge:Resizable>
    <div style="clear: left; margin-top: 80px;">
    </div>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Resizable/Codes/Resizing.aspx" />
</asp:Content>
