﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TitleLayout.master" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="LeftContent" runat="Server">
    <div style="margin-bottom: 10px;">
        <asp:Image ID="Image3" runat="server" ImageUrl="~/Selectable/Images/ui_text_selectable.gif">
        </asp:Image></div>
    <DotNetAge:Accordion ID="Accordion1" runat="server" SkinID="Black-Ice" Animated="bounceslide">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="Feature Examples" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="Core Features" NavigateUrl="~/Selectable/Core.aspx" />
                                                          <%--  <DotNetAge:NavItem Text="Programmatic creation" NavigateUrl="~/Selectable/ProgrammaticCreation.aspx" />--%>

                    <%--                    <DotNetAge:NavItem Text="Serialize" NavigateUrl="~/Resizable/Events.aspx" />
                    <DotNetAge:NavItem Text="Display as grid" NavigateUrl="~/Draggable/ConstrainMovement.aspx" />
--%>
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MiddleContent" runat="Server">
    <iframe frameborder="0" style="height: 500px; width: 100%" name="demoFrame" scrolling="no"
        src="Core.aspx"></iframe>
    <DotNetAge:Tabs ID="Tabs1" runat="server">
        <Animations>
            <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
            <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
        </Animations>
        <Views>
            <DotNetAge:View Text="Overview" runat="server" ID="overView">
                <p>
                    Selectable is a ASP.NET WebControl that encapsulat the jQuery UI selectable plugin.Selectable
                    Web Control implement all functions of The jQuery UI selectable plugin.Selectable
                    allows for Controls to be selected by dragging a box (sometimes called a lasso)
                    with the mouse over the elements. Also, elements can be selected by click or drag
                    while holding the Ctrl/Meta key, allowing for multiple (non-contiguous) selections.
                </p>
            </DotNetAge:View>
            <DotNetAge:View Text="Properties" runat="server" ID="propertyView">
                <p>
                    The Selectable control 's properties is show below</p>
                <div style="border: 1px dashed #808080;">
                    <demo:Code runat="server" ID="quickDemo">
                        <CodeTemplate>
<DotNetAge:Selectable ID="MySelectable"
    AutoRefresh="false"
    OnClientSelected="javascript puts here"
    OnClientSelecting=""
    OnClientSelectStart=""
    OnClientSelectStop=""
    OnClientUnselect=""
    OnClientUnselecting=""
    SelectingStartDelay="1000"
    SelectingStartDistance="10"
    Tolerance="Touch">
    <Target TargetIDs="ControlID1, ... ,ControlIDn" 
                 Selector=".ui-widget-header" TargetID="ControlID" />
    <DisableResizableElements />
    <Filter />
</DotNetAge:Selectable>
                        </CodeTemplate>
                    </demo:Code>
                </div>
            </DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
</asp:Content>
