﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <style type="text/css">
        .sortable1, .sortable2 { list-style-type: none; margin: 5px; padding: 0; padding-top: 3px; float: left; }
        .sortable1 li, .sortable2 li { width: 120px; margin: 0 3px 3px 3px; padding: 0.4em; padding-left: 1.5em; font-size: 9pt; height: 18px; }
        .sortable1 li span, .sortable2 li span { position: absolute; margin-left: -1.3em; }
    </style>

    <script runat="server">
        protected void Page_Load(object sender, EventArgs e)
        {
            DataBind();
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <DotNetAge:SimpleListView ID="SimpleListView1" runat="server" CssClass="connectedSortable ui-helper-reset ui-widget-content sortable1 ui-corner-all"
        ItemCssClass="ui-helper-reset ui-state-default ui-corner-all" DataSourceID="XmlSortableListDataSource">
        <ItemTemplate>
            <span class="ui-icon ui-icon-arrowthick-2-n-s"></span>
            <%# Eval("Text") %>
        </ItemTemplate>
    </DotNetAge:SimpleListView>
    <DotNetAge:SimpleListView ID="SimpleListView2" runat="server" CssClass="connectedSortable ui-helper-reset ui-widget-content sortable2 ui-corner-all"
        ItemCssClass="ui-helper-reset ui-state-highlight ui-corner-all" DataSourceID="XmlSortableListDataSource">
        <ItemTemplate>
            <span class="ui-icon ui-icon-arrowthick-2-n-s"></span>
            <%# Eval("Text") %>
        </ItemTemplate>
    </DotNetAge:SimpleListView>
    <DotNetAge:Sortable ID="Sortable1" runat="server">
        <Target TargetIDs="SimpleListView1,SimpleListView2" />
        <ConnectWith Selector=".connectedSortable" />
    </DotNetAge:Sortable>
    <asp:XmlDataSource ID="XmlSortableListDataSource" runat="server" DataFile="~/Sortable/sortable.xml"
        XPath="items/item"></asp:XmlDataSource>
    </form>
</body>
</html>
