﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <style type="text/css">
        .sortable { list-style-type: none; margin: 0; padding: 0; padding-top: 3px; width: 30%; float: left; margin: 5px; }
        .sortable li { margin: 0 3px 3px 3px; padding: 0.4em; padding-left: 1.5em; font-size: 9pt; height: 18px; }
        .sortable li span { position: absolute; margin-left: -1.3em; }
    </style>

    <script runat="server">
        protected void Page_Load(object sender, EventArgs e)
        {
            DataBind();
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <DotNetAge:SimpleListView ID="SimpleListView1" runat="server" CssClass="ui-helper-reset ui-widget-content sortable ui-corner-all"
        ItemCssClass="ui-helper-reset ui-state-default ui-corner-all">
        <ItemTemplate>
            <span class="ui-icon ui-icon-arrowthick-2-n-s"></span>
            <%# Eval("Text") %>
        </ItemTemplate>
        <Items>
            <DotNetAge:SimpleListItem Text="Can be dropped.." />
            <DotNetAge:SimpleListItem Text="..on an empty list" />
            <DotNetAge:SimpleListItem Text="Item3" />
            <DotNetAge:SimpleListItem Text="Item4" />
            <DotNetAge:SimpleListItem Text="Item5" />
            <DotNetAge:SimpleListItem Text="Item6" />
        </Items>
    </DotNetAge:SimpleListView>
    <DotNetAge:SimpleListView ID="SimpleListView2" runat="server" CssClass="ui-helper-reset ui-widget-content sortable ui-corner-all"
        ItemCssClass="ui-helper-reset ui-state-highlight ui-corner-all">
        <ItemTemplate>
            <span class="ui-icon ui-icon-arrowthick-2-n-s"></span>
            <%# Eval("Text") %>
        </ItemTemplate>
        <Items>
            <DotNetAge:SimpleListItem Text="Cannot be dropped.." />
            <DotNetAge:SimpleListItem Text="..on an empty list" />
            <DotNetAge:SimpleListItem Text="Item3" />
            <DotNetAge:SimpleListItem Text="Item4" />
            <DotNetAge:SimpleListItem Text="Item5" />
            <DotNetAge:SimpleListItem Text="Item6" />
        </Items>
    </DotNetAge:SimpleListView>
    <DotNetAge:SimpleListView ID="SimpleListView3" runat="server" CssClass="ui-helper-reset ui-widget-content sortable ui-corner-all"
        ItemCssClass="ui-helper-reset ui-state-highlight ui-corner-all">
        <ItemTemplate>
            <span class="ui-icon ui-icon-arrowthick-2-n-s"></span>
            <%# Eval("Text") %>
        </ItemTemplate>
    </DotNetAge:SimpleListView>
    <DotNetAge:Sortable ID="Sortable1" runat="server">
        <Target TargetIDs="SimpleListView1,SimpleListView3" />
        <ConnectWith Selector="ul" />
    </DotNetAge:Sortable>
    <DotNetAge:Sortable ID="Sortable2" runat="server" AllowDropOnEmpty="false">
        <Target TargetIDs="SimpleListView2" />
        <ConnectWith Selector="ul" />
    </DotNetAge:Sortable>
    </form>
</body>
</html>
