﻿<%@ Page Title="Dynamic Content via AJAX" Language="C#" MasterPageFile="~/Demo.master"
    Inherits="DemoPage" %>

<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DemoHolder" runat="Server">
    <div class="dna-state-help ui-corner-all" style="margin-bottom: 10px;">
        Fetch external content via Ajax for the Tabs by setting <b>NavigateUrl</b> property
        of View Control which inside the Tabs.To enabling Ajax load feature set <b>AsyncLoad</b>
        property to "true", In addition set <b>EnabledContentCache</b> property whether
        to cache the dynamic content on client.
        <p>
            When you using the AJAX feature in your code your must know:When you loading the
            ASPX file ,all Web Forms in target file could not be PostBack. <font color="red">I recommand
                using this feature to display no post back page only.</font></p>
    </div>
    <br />
    <DotNetAge:Tabs ID="Tabs1" runat="server" AsyncLoad="true" EnabledContentCache="true">
        <Views>
            <DotNetAge:View runat="server" ID="View2" Text="Common">
                This sample will show you how the Tab use AJAX to load the content dynamic.If you
                want the tab content load dynamic you just set the "View" 's "NavigateUrl" to the
                remote file url that you want it to load. if this property setted all tags in View
                will be ignored the View content will became dynamic.
                <p>
                    Whether or not to cache remote tabs content, e.g. load only once or with every click.
                    Cached content is being lazy loaded, e.g once and only once for the first click.
                    Note that to prevent the actual Ajax requests from being cached by the browser you
                    need to set "EnabledContentCache" true.</p>
            </DotNetAge:View>
            <DotNetAge:View runat="server" ID="View1" NavigateUrl="~/Tabs/license.txt" Text="Text file">
            </DotNetAge:View>
            <DotNetAge:View runat="server" ID="View3" NavigateUrl="~/Tabs/license.htm" Text="HTML file">
            </DotNetAge:View>
            <DotNetAge:View runat="server" ID="View4" NavigateUrl="~/Tabs/DataBindPage.aspx"
                Text="ASPX file">
            </DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
    <br />
    <demo:Code runat="server" ID="codeView" SourceFile="~/Tabs/Codes/AjaxSample.aspx" />
</asp:Content>
