﻿<%@ Page Title="" Language="C#" MasterPageFile="~/TitleLayout.master" %>
<%@ Register Src="~/CodeFormatter.ascx" TagName="Code" TagPrefix="demo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="LeftContent" runat="Server">
    <div style="margin-bottom: 10px;">
        <asp:Image ID="Image3" runat="server" ImageUrl="~/Tabs/Images/ui_text_tabs.gif">
        </asp:Image></div>
    <DotNetAge:Accordion ID="Accordion1" runat="server" SkinID="Black-Ice" Animated="bounceslide">
        <Views>
            <DotNetAge:NavView ID="Nav1" runat="server" Text="Feature Examples" Target="demoFrame">
                <Items>
                    <DotNetAge:NavItem Text="Core Features" NavigateUrl="~/Tabs/Core.aspx" />
                    <DotNetAge:NavItem Text="Dynamic Content via AJAX" NavigateUrl="~/Tabs/AJAXTabs.aspx" />
                    <DotNetAge:NavItem Text="Using PostBack" NavigateUrl="~/Tabs/PostBackTabs.aspx" />
                    <DotNetAge:NavItem Text="Open on mouseover" NavigateUrl="~/Tabs/OpenOnMouseOver.aspx" />
                    <DotNetAge:NavItem Text="Collapse Content" NavigateUrl="~/Tabs/Collapse.aspx" />
                    <DotNetAge:NavItem Text="Sortable" NavigateUrl="~/Tabs/Sortable.aspx" />
                    <DotNetAge:NavItem Text="Using Tabs in UpdatePanel" NavigateUrl="~/Tabs/TabsInUpdatePanel.aspx" />
                    <DotNetAge:NavItem Text="Tabs with Animations" NavigateUrl="~/Tabs/TabsAnimation.aspx" />
                </Items>
            </DotNetAge:NavView>
        </Views>
    </DotNetAge:Accordion>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MiddleContent" runat="Server">
    <iframe frameborder="0" style="height: 500px; width: 100%" name="demoFrame" scrolling="no"
        src="Core.aspx"></iframe>
    <DotNetAge:Tabs ID="Tabs1" runat="server" AsyncLoad="true" EnabledContentCache="true">
        <Animations>
            <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
            <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
        </Animations>
        <Views>
            <DotNetAge:View Text="Overview" runat="server" ID="overView">
                <p>Tabs is a ASP.NET WebControl that encapsulated the jQuery UI tabs plugin.Tabs are generally used to break content into multiple sections that can be swapped to save space, much like an Accordion. 
                </p>
                <p>By default a Tabs will swap between tabbed sections onClick, but the events can be changed to onHover through an property. Tab content can be loaded via Ajax by setting an NavigateUrl on a View Control.
</p>
            </DotNetAge:View>
            <DotNetAge:View Text="Properties" runat="server" ID="propertyView">
                <p>
                    The Tabs control 's properties is show below</p>
                <div style="border: 1px dashed #808080;">
                    <demo:code runat="server" id="quickDemo">
                        <CodeTemplate>
<DotNetAge:Tabs ID="MyTabs"
     ActiveTabEvent="Click"
     AsyncLoad="false"
     AutoPostBack="false"
     Collapsible="false"
     ContentCssClass=""
     ContentStyle=""
     Deselectable="false"
     EnabledContentCache="false"
     HeaderCssClass=""
     HeaderStyle=""
     Height="300"
     OnClientTabAdd=""
     OnClientTabDisabled=""
     OnClientTabEnabled=""
     OnClientTabLoad=""
     OnClientTabRemove=""
     OnClientTabSelected=""
     OnClientTabShow=""
     SelectedIndex="0"
     Sortable="false"
     Spinner=""
     Width="300"
>
   <Animations>
       <DotNetAge:AnimationAttribute AnimationType="opacity" Value="toggle" />
       <DotNetAge:AnimationAttribute AnimationType="height" Value="toggle" />
   </Animations>
   <Views>
      <DotNetAge:View Text=""
            ID="View1"
            NavigateUrl=""
            HeaderCssClass=""
            HeaderStyle=""
            Target="_blank">
            <p>View is content is here</p>
      </DotNetAge:View>
      ...
      <DotNetAge:View />
   </Views>
</DotNetAge:Tabs>
                        </CodeTemplate>
                    </demo:code>
                </div>
            </DotNetAge:View>
            <DotNetAge:View runat="server" ID="WhatIsNewView" Text="What is new?" NavigateUrl="~/Tabs/WhatIsNew.htm">
            </DotNetAge:View>
        </Views>
    </DotNetAge:Tabs>
</asp:Content>
